- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Evas_Event_Mouse_Down Struct Reference

Mouse button press event. More...

## Data Fields
int | button
| Mouse button number that went down (1 - 32)
Evas_Point | output
| The X/Y location of the cursor.
Evas_Coord_Point | canvas
| The X/Y location of the cursor.
void * | data
Evas_Modifier * | modifiers
| modifier keys pressed during the event
Evas_Lock * | locks
Evas_Button_Flags | flags
| button flags set during the event
unsigned int | timestamp
Evas_Event_Flags | event_flags
Evas_Device * | dev
Evas_Object * | event_src
| The Evas Object which actually triggered the event, used in cases of proxy event propagation.

## Detailed Description

Mouse button press event.

Examples:
  ecore_imf_example.c, edje-box.c, edje-color-class.c, edje-table.c, and evas-images2.c.